%define musever  0.9
%define musedir  0.9

%define	desktop_vendor planetccrma

%{?rh9:%define dssslver 1.76}
%{?fc1:%define dssslver 1.78}
%{?fc2:%define dssslver 1.78}
%{?fc3:%define dssslver 1.78}
%if "{fedora}" >= "4"
%define dssslver 1.79
%endif

Name: muse
Summary: Midi/Audio Music Sequencer
Version: %{musever}
Release: 2%{?dist}
Epoch: 1
License: GPL
Group: Applications/Multimedia
URL: http://www.muse-sequencer.org/
Source0: muse-%{musever}.tar.gz
Source1: muse.desktop
Patch0: muse-0.7.0-givertcap.patch
Patch1: muse-0.7.0-makefile.patch
Patch2: muse-0.9-lash-private-api.patch
BuildRoot: %{_tmppath}/%{name}-%{musever}-root
Requires: hicolor-icon-theme

# we don't want the internal libraries in the provides list
AutoReqProv: no

BuildRequires: desktop-file-utils qt-devel >= 3.2 autoconf automake17 libtool
BuildRequires: pkgconfig libcap-devel doxygen openjade docbook-style-dsssl
BuildRequires: alsa-lib-devel e2fsprogs-devel jack-audio-connection-kit-devel
BuildRequires: lash-devel libsndfile-devel libsamplerate-devel readline-devel
%if "%{fedora}" >= "6"
BuildRequires: fluidsynth-devel
%else
BuildRequires: libfluidsynth-devel
%endif

%description
MusE is a MIDI/Audio sequencer with recording and editing
capabilities. MusE aims to be a complete multitrack virtual studio for
Linux.

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
# make sure plugins are searched for in the right directory in all archs
for f in "muse/plugin.cpp" "synti/simpledrums/ssplugin.cpp" ; do
    perl -p -i -e "s|/usr/lib/ladspa|%{_libdir}/ladspa|g" ${f}
    perl -p -i -e "s|/usr/local/lib/ladspa|/usr/local/%{_lib}/ladspa|g" ${f}
done

%configure --disable-suid-build --disable-suid-install \
    --with-docbook-stylesheets=/usr/share/sgml/docbook/dsssl-stylesheets-%{dssslver} \
    --disable-qttest --with-qt-prefix=${QTDIR} \
    --enable-lash

%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} DESTDIR=%{buildroot} install

# install icon in proper freedesktop location
%{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/32x32/apps
%{__install} -m 0644 packaging/muse_icon.png %{buildroot}%{_datadir}/icons/hicolor/32x32/apps/

# desktop file categories
BASE="X-StartCom Application AudioVideo Audio"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications    \
  `for c in ${BASE} ; do echo "--add-category $c " ; done` \
  %{SOURCE1}

%clean
%{__rm} -rf %{buildroot}

%post
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%postun
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi

%files
%defattr(-, root, root)
%doc AUTHORS COPYING INSTALL NEWS README* SECURITY 
%doc demos share/html
%doc plugins/freeverb/readme.txt
%{_bindir}/muse
%{_bindir}/grepmidi
%{_libdir}/muse
%{_datadir}/muse
%{_datadir}/applications/*muse.desktop
%{_datadir}/icons/hicolor/32x32/apps/*

%changelog
* Fri Nov 30 2007 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x
 -n muse
* Sat Nov 17 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9-2
- added patch from Debian to avoid using internal lash api calls that
  are not there in last 0.5.3

* Tue Oct  9 2007 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.9-1
- updated to 0.9
- adjusted desktop categories

* Thu Dec 21 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1a-2
- spec file tweaks, build on fc6
- make sure LADSPA plugins are searched in the right lib directory
  for all architectures

* Thu May  5 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added icon and Planet CCRMA categories

* Tue Mar 28 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.8.1a-1
- updated to 0.8.1a

* Mon Jan 23 2006 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.2-0.1.pre5
- updated to 0.7.2-pre5

* Sun Nov 20 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- the internal libraries appear in the provides list and conflict with
  old names, for example the obsolete "fluid" package name as now
  included in pd-fluid, so disable automatic provide generation. 

* Fri Nov 18 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.2-0.1.pre3
- update to 0.7.2pre3
- build with lash (name change from ladcca)
- added readline-devel (needed by lash)
- delete --enable-rtcap option to configure

* Sun Jun 25 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- do not create givertcap package anymore, fc4 mach is confused by
  the version and it is not needed anymore

* Mon Jan 24 2005 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.1-1
- updated to 0.7.1
- needs libsamplerate
- added --enable-ladcca configure flag (has to be explicitly enabled)

* Tue Dec 31 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- spec file cleanup

* Sun Sep 26 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- use qt33 package for fc1 and below

* Wed Jul 21 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.0-1
- updated to 0.7.0

* Thu May 20 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added dsssl build requirement

* Thu May  6 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.7.0-0.pre2.1
- updated to 0.7.0 pre2
- needs qt > 3.2
- --disable-suid-install does not work, change default to "no"

* Wed Jan  7 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.3-1
- updated to 0.6.3

* Wed Nov 19 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.2-1
- added alsa patch for old api

* Fri Nov 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.2-1
- spec file tweaks
- fix dssslver for 9 and fc1

* Thu Nov  6 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.2-1
- updated to 0.6.2
- softsynth and jack patches not needed any more

* Sun Sep 14 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-2
- applied Takashi's patch for softsynth hangs (patch2)
- fixed build with jack 0.80.0, updated version requirement
- added release tags
- added separate release number for givertcap

* Sat Jul 26 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.1-1
- updated to 0.6.1

* Tue May 20 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0-1
- updated to 0.6.0 final
- added atomic.h borrowed from kernel 2.4.20 (otherwise it does not
  find atomic_inc)
- added instruments directory and files to files list
- added explicit dependency to qt version 

* Fri Apr  4 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre8-1
- updated to 0.6.0pre8

* Wed Apr  2 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre7-2
- rebuild for jack 0.66.3, added explicit requires for it

* Fri Mar 21 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre7-1
- updated to 0.6.0pre7
- changed default qt in 7.3 to 3.0.5, dsss version to 1.76 in 7.3/8.0
- added node.h patch for 7.2/7.3

* Thu Dec  5 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre5-1
- updated to 0.6.0pre5

* Thu Nov 14 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre3-1
- added patch to fix jack port names
- signals patch no longer needed

* Mon Oct 21 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre2-2
- added patch so that signals are not intercepted, that hungs muse
  on startup under rh 8.0's thread libraries
- disabled qttest, otherwise you have to build while logged in as root
  in the console
- added proper menu entries

* Mon Oct 21 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.6.0pre2-1
- updated to 0.6.0pre2, enabled jack support

* Mon Jun 24 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.3-1
- updated to 0.5.3b
- enabled rtcaps, added givertcap package
- updated doc file list
- added make -j for smp builds

* Fri Apr 19 2002 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.5.2-1
- updated to 0.5.2, needs qt 3.0.3 (from rawhide)

* Wed Nov 28 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.14-1
- updated to 0.4.14, adjusted file list

* Tue Nov 27 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
- updated to 0.4.16 (added qt3 rpms)
- patch1: remove su's
- patch2: configuration, 3 and 4 suggested patches on the muse list
- cannot make 0.4.16 compile...

* Thu Aug 23 2001 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.4.8-1
- adapted suse's srpm to redhat

* Fri May 11 2001 - tiwai@suse.de
- fixed build.
* Wed May 09 2001 - tiwai@suse.de
- updated to muse-0.3.19.
* Wed Apr 11 2001 - tiwai@suse.de
- updated to muse-0.3.16.
* Wed Apr 04 2001 - tiwai@suse.de
- updated to muse-0.3.15.
* Tue Mar 20 2001 - tiwai@suse.de
- fixed neededforbuild.
* Fri Mar 16 2001 - tiwai@suse.de
- updated to muse-0.3.12.
* Mon Mar 12 2001 - tiwai@suse.de
- updated to muse-0.3.11.
* Wed Mar 07 2001 - ro@suse.de
- changed neededforbuild <mesadev> to <mesa-devel>
* Wed Mar 07 2001 - tiwai@suse.de
- Updated to muse-0.3.10.
* Mon Feb 26 2001 - tiwai@suse.de
- Updated to muse-0.3.9.
* Mon Feb 12 2001 - tiwai@suse.de
- Updated to muse-0.3.7.
* Fri Feb 09 2001 - tiwai@suse.de
- Updated to muse-0.3.6.
* Tue Jan 30 2001 - tiwai@suse.de
- Updated to muse-0.3.5.
* Fri Dec 01 2000 - ro@suse.de
- added liblcms to neededforbuild
* Thu Nov 23 2000 - tiwai@suse.de
- Updated to muse-0.2.12.
* Fri Nov 17 2000 - tiwai@suse.de
- Updated to muse-0.2.10.
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Wed Nov 08 2000 - tiwai@suse.de
- Updated to muse-0.2.7.
- Fixed to compile.
* Mon Nov 06 2000 - ro@suse.de
- fixed to compile (include spinlock before mc146818rtc)
* Fri Nov 03 2000 - tiwai@suse.de
- Updated to muse-0.2.6.
- Fixed spec file for long package-name support.
- Excluded plug-ins from provide list.
* Mon Oct 09 2000 - tiwai@suse.de
- Added libmng to neededforbuild
* Fri Oct 06 2000 - tiwai@suse.de
- Updated to muse-0.2.4
* Wed Sep 27 2000 - tiwai@suse.de
- Fixed compile for alpha and ppc.
* Tue Sep 26 2000 - tiwai@suse.de
- Update to 0.2.3
* Mon Aug 28 2000 - tiwai@suse.de
- Update to 0.2.1.
- Disable translations (due to change of qt-2.2).
* Wed Aug 02 2000 - tiwai@suse.de
- Initial version: 0.1.10.  No manual document is included.
